package cn.iocoder.yudao.module.partner.service.impl;

import java.util.List;

import cn.iocoder.yudao.module.partner.mapper.PartnerBankInfoMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.iocoder.yudao.module.partner.entity.PartnerBankInfo;
import com.ruoyi.partner.service.IPartnerBankInfoService;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-08-16
 */
@Service
public class PartnerBankInfoServiceImpl extends ServiceImpl<PartnerBankInfoMapper,PartnerBankInfo> implements IPartnerBankInfoService
{

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public PartnerBankInfo selectPartnerBankInfoById(Long id)
    {
        return baseMapper.selectPartnerBankInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param partnerBankInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<PartnerBankInfo> selectPartnerBankInfoList(PartnerBankInfo partnerBankInfo)
    {
        return baseMapper.selectPartnerBankInfoList(partnerBankInfo);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param partnerBankInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertPartnerBankInfo(PartnerBankInfo partnerBankInfo)
    {
        return baseMapper.insertPartnerBankInfo(partnerBankInfo);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param partnerBankInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updatePartnerBankInfo(PartnerBankInfo partnerBankInfo)
    {
        return baseMapper.updatePartnerBankInfo(partnerBankInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deletePartnerBankInfoByIds(Long[] ids)
    {
        return baseMapper.deletePartnerBankInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deletePartnerBankInfoById(Long id)
    {
        return baseMapper.deletePartnerBankInfoById(id);
    }
}
